Hardware and software requirements

Administration Server

Minimum hardware requirements:

  • CPU with operating frequency of 1 GHz or higher. For a 64-bit operating system, the minimum CPU frequency is 1.4 GHz.
  • RAM: 4 GB.
  • Available disk space: 10 GB. When Vulnerability and Patch Management is used, at least 100 GB of free disk space must be available.

Software requirements:

  • Microsoft Data Access Components (MDAC) 2.8
  • Microsoft Windows DAC 6.0
  • Microsoft Windows Installer 4.5

Operating system:

  • Microsoft Windows 10 20H1 32-bit/64-bit (only for version 12.1 and later)
  • Microsoft Windows 10 Enterprise 2019 LTSC 32-bit/64-bit
  • Microsoft Windows 10 Enterprise 2016 LTSB 32-bit/64-bit
  • Microsoft Windows 10 Enterprise 2015 LTSB 32-bit/64-bit
  • Microsoft Windows 10 Pro RS5 (October 2018 Update, 1809) 32-bit/64-bit
  • Microsoft Windows 10 Pro for Workstations RS5 (October 2018 Update, 1809) 32-bit/64-bit
  • Microsoft Windows 10 Enterprise RS5 (October 2018 Update, 1809) 32-bit/64-bit
  • Microsoft Windows 10 Education RS5 (October 2018 Update, 1809) 32-bit/64-bit
  • Microsoft Windows 10 Pro 19H1 32-bit/64-bit
  • Microsoft Windows 10 Pro for Workstations 19H1 32-bit/64-bit
  • Microsoft Windows 10 Enterprise 19H1 32-bit/64-bit
  • Microsoft Windows 10 Education 19H1 32-bit/64-bit
  • Microsoft Windows 10 Pro 19H2 32-bit/64-bit
  • Microsoft Windows 10 Pro for Workstations 19H2 32-bit/64-bit
  • Microsoft Windows 10 Enterprise 19H2 32-bit/64-bit
  • Microsoft Windows 10 Education 19H2 32-bit/64-bit
  • Microsoft Windows 8.1 Pro 32-bit/64-bit
  • Microsoft Windows 8.1 Enterprise 32-bit/64-bit
  • Microsoft Windows 8 Pro 32-bit/64-bit
  • Microsoft Windows 8 Enterprise 32-bit/64-bit
  • Microsoft Windows 7 Professional with Service Pack 1 and higher 32-bit/64-bit
  • Microsoft Windows 7 Enterprise/Ultimate with Service Pack 1 and higher 32-bit/64-bit
  • Windows Server 2019 Standard 64-bit
  • Windows Server 2019 Core 64-bit
  • Windows Server 2019 Datacenter 64-bit
  • Windows Server 2016 Server Standard RS3 (v1709) (LTSB/CBB) 64-bit
  • Windows Server 2016 Server Datacenter RS3 (v1709) (LTSB/CBB) 64-bit
  • Windows Server 2016 Server Core RS3 (v1709) (Installation Option) (LTSB/CBB) 64-bit
  • Windows Server 2016 Standard (LTSB) 64-bit
  • Windows Server 2016 Server Core (Installation Option) (LTSB) 64-bit
  • Windows Server 2016 Datacenter (LTSB) 64-bit
  • Windows Server 2012 R2 Standard 64-bit
  • Windows Server 2012 R2 Server Core 64-bit
  • Windows Server 2012 R2 Foundation 64-bit
  • Windows Server 2012 R2 Essentials 64-bit
  • Windows Server 2012 R2 Datacenter 64-bit
  • Windows Server 2012 Standard 64-bit
  • Windows Server 2012 Server Core 64-bit
  • Windows Server 2012 Foundation 64-bit
  • Windows Server 2012 Essentials 64-bit
  • Windows Server 2012 Datacenter 64-bit
  • Windows Storage Server 2016 64-bit
  • Windows Storage Server 2012 R2 64-bit
  • Windows Storage Server 2012 64-bit

Database server (can be installed on a different device):

  • Microsoft SQL Server 2012 Express 64-bit
  • Microsoft SQL Server 2014 Express 64-bit
  • Microsoft SQL Server 2016 Express 64-bit
  • Microsoft SQL Server 2017 Express 64-bit
  • Microsoft SQL Server 2019 Express 64-bit
  • Microsoft SQL Server 2014 (all editions) 64-bit
  • Microsoft SQL Server 2016 (all editions) 64-bit
  • Microsoft SQL Server 2017 (all editions) on Windows 64-bit
  • Microsoft SQL Server 2017 (all editions) on Linux 64-bit
  • Microsoft SQL Server 2019 (all editions) on Windows 64-bit (requires additional actions)
  • Microsoft SQL Server 2019 (all editions) on Linux 64-bit (requires additional actions)
  • MySQL Standard Edition 5.7 32-bit/64-bit
  • MySQL Enterprise Edition 5.7 32-bit/64-bit
  • All supported SQL Server editions in Amazon RDS and Microsoft Azure cloud platforms
  • MariaDB Server 10.3 32-bit/64-bit with InnoDB storage engine

It is recommended to use MariaDB 10.3.22; if you use an earlier version, the Perform Windows update task might take more than one day to work.

The following virtualization platforms are supported:

  • VMware vSphere 6.5
  • VMware vSphere 6.7
  • VMware Workstation 15 Pro
  • Microsoft Hyper-V Server 2012 64-bit
  • Microsoft Hyper-V Server 2012 R2 64-bit
  • Microsoft Hyper-V Server 2016 64-bit
  • Microsoft Hyper-V Server 2019 64-bit
  • Citrix XenServer 7.1 LTSR
  • Citrix XenServer 8.x
  • Parallels Desktop 14
  • Oracle VM VirtualBox 6.x (Windows guest login only)

The following SIEM systems are supported:

  • HP (Microfocus) ArcSight ESM 7.0
  • HP (Microfocus) ArcSight ESM 6.8
  • IBM QRadar 7.3

For deployment in cloud environments:

  • Amazon Web Services:
    • Administration Server: m5.4xlarge
    • SQL Server: db.r5.4xlarge
  • Microsoft Azure:
    • Administration Server: D16*
    • SQL Server: 16 vCPU SQL DB

Kaspersky Security Center 12 Web Console

Kaspersky Security Center 12 Web Console Server

Minimum hardware requirements:

  • CPU: 4 cores, operating frequency of 2.5 GHz
  • RAM: 8 GB
  • Available disk space: 40 GB

Software requirements:

  • Node.js 12.14.1 environment or later versions
  • One of the following operating systems:
    • Microsoft Windows (64-bit versions only):
      • Microsoft Windows 10 20H1 (only for version 12.1 and later)
      • Microsoft Windows 10 Enterprise 2019 LTSC
      • Microsoft Windows 10 Enterprise 2016 LTSB
      • Microsoft Windows 10 Enterprise 2015 LTSB
      • Microsoft Windows 10 Pro RS5 (October 2018 Update, 1809)
      • Microsoft Windows 10 Pro for Workstations RS5 (October 2018 Update, 1809)
      • Microsoft Windows 10 Enterprise RS5 (October 2018 Update, 1809)
      • Microsoft Windows 10 Education RS5 (October 2018 Update, 1809)
      • Microsoft Windows 10 Pro 19H1
      • Microsoft Windows 10 Pro for Workstations 19H1
      • Microsoft Windows 10 Enterprise 19H1
      • Microsoft Windows 10 Education 19H1
      • Microsoft Windows 10 Pro 19H2
      • Microsoft Windows 10 Pro for Workstations 19H2
      • Microsoft Windows 10 Enterprise 19H2
      • Microsoft Windows 10 Education 19H2
      • Microsoft Windows 8.1 Pro
      • Microsoft Windows 8.1 Enterprise
      • Microsoft Windows 8 Pro
      • Microsoft Windows 8 Enterprise
      • Microsoft Windows 7 Professional with Service Pack 1 and later
      • Microsoft Windows 7 Enterprise/Ultimate with Service Pack 1 and later
      • Windows Server 2019 Standard
      • Windows Server 2019 Core
      • Windows Server 2019 Datacenter
      • Windows Server 2016 Server Standard RS3 (v1709) (LTSB/CBB)
      • Windows Server 2016 Server Datacenter RS3 (v1709) (LTSB/CBB)
      • Windows Server 2016 Server Core RS3 (v1709) (Installation Option) (LTSB/CBB)
      • Windows Server 2016 Standard (LTSB)
      • Windows Server 2016 Server Core (Installation Option) (LTSB)
      • Windows Server 2016 Datacenter (LTSB)
      • Windows Server 2012 R2 Standard
      • Windows Server 2012 R2 Server Core
      • Windows Server 2012 R2 Foundation
      • Windows Server 2012 R2 Essentials
      • Windows Server 2012 R2 Datacenter
      • Windows Server 2012 Standard
      • Windows Server 2012 Server Core
      • Windows Server 2012 Foundation
      • Windows Server 2012 Essentials
      • Windows Server 2012 Datacenter
      • Windows Storage Server 2016
      • Windows Storage Server 2012 R2
      • Windows Storage Server 2012
    • Debian GNU/Linux 10.х (Buster)
    • Debian GNU/Linux 9.х (Stretch)
    • Ubuntu Server 18.04 LTS (Bionic Beaver)
    • Ubuntu Server 16.04 LTS (Xenial Xerus)
    • CentOS 7.x
    • CentOS 6.x (up to 6.6)
    • Red Hat Enterprise Linux Server 8.x
    • Red Hat Enterprise Linux Server 7.x
    • Red Hat Enterprise Linux Server 6.x
    • SUSE Linux Enterprise Server 15 (all Service Packs)
    • SUSE Linux Enterprise Server 12 (all Service Packs)

Client devices

For a client device, use of Kaspersky Security Center 12 Web Console requires only a browser.

The hardware and software requirements for the device are identical to the requirements of the browser that is used with Kaspersky Security Center 12 Web Console.

Browser:

  • Mozilla Firefox 68 Extended Support Release
  • Mozilla Firefox 68 or later
  • Google Chrome 75 or later
  • Safari 12 on macOS
  • Safari 13 on iOS

iOS Mobile Device Management (iOS MDM) Server

Hardware requirements:

  • CPU with operating frequency of 1 GHz or higher. For a 64-bit OS, the minimum CPU frequency is 1.4 GHz.
  • RAM: 2 GB.
  • Available disk space: 2 GB.

Software requirements: Microsoft Windows (the version of the supported operating system is defined by the Administration Server requirements).

Exchange Mobile Device Server

All software and hardware requirements for Exchange Mobile Device Server are included in the requirements for Microsoft Exchange Server.

Compatibility with Microsoft Exchange Server 2007, Microsoft Exchange Server 2010, and Microsoft  Exchange Server 2013 is supported.

Administration Console

Hardware requirements:

  • CPU: with operating frequency of 1 GHz or higher. For a 64-bit OS, the minimum CPU frequency is 1.4 GHz.
  • RAM: 512 MB.
  • Available disk space: 1 GB.

Software requirements:

  • Microsoft Windows operating system (supported version of the operating system is determined by the requirements of Administration Server)
  • Microsoft Management Console 2.0
  • Microsoft Windows Installer 4.5
  • Microsoft Internet Explorer 10.0 running on:
    • Microsoft Windows Server 2008 R2 Service Pack 1
    • Microsoft Windows Server 2012
    • Microsoft Windows Server 2012 R2
    • Microsoft Windows 7 Service Pack 1
    • Microsoft Windows 8
    • Microsoft Windows 8.1
    • Microsoft Windows 10
  • Microsoft Internet Explorer 11.0 running on:
    • Microsoft Windows Server 2012 R2
    • Microsoft Windows Server 2012 R2 Service Pack 1
    • Microsoft Windows Server 2016
    • Microsoft Windows Server 2019
    • Microsoft Windows 7 Service Pack 1
    • Microsoft Windows 8.1
    • Microsoft Windows 10
  • Microsoft Edge running on Microsoft Windows 10

Network Agent

Minimum hardware requirements:

  • CPU with operating frequency of 1 GHz or higher. For a 64-bit OS, the minimum CPU frequency is 1.4 GHz.
  • RAM: 512 MB.
  • Available disk space: 1 GB.

Software requirements:

  • Microsoft Windows Embedded POSReady 2009 with latest Service Pack 32-bit
  • Microsoft Windows Embedded POSReady 7 32-bit/64-bit
  • Microsoft Windows Embedded Standard 7 with Service Pack 1 32-bit/64-bit
  • Microsoft Windows Embedded 8 Standard 32-bit/64-bit
  • Microsoft Windows Embedded 8.1 Industry Pro 32-bit/64-bit
  • Microsoft Windows Embedded 8.1 Industry Enterprise 32-bit/64-bit
  • Microsoft Windows Embedded 8.1 Industry Update 32-bit/64-bit
  • Microsoft Windows 10 20H1 32-bit/64-bit (only for version 12.1 and later)
  • Microsoft Windows 10 Enterprise 2015 LTSB 32-bit/64-bit
  • Microsoft Windows 10 Enterprise 2016 LTSB 32-bit/64-bit
  • Microsoft Windows 10 Enterprise 2019 LTSC 32-bit/64-bit
  • Microsoft Windows 10 Home RS5 (Oct 2018) 32-bit/64-bit
  • Microsoft Windows 10 Pro RS5 (Oct 2018) 32-bit/64-bit
  • Microsoft Windows 10 Pro for Workstations RS5 (Oct 2018) 32-bit/64-bit
  • Microsoft Windows 10 Enterprise RS5 (Oct 2018) 32-bit/64-bit
  • Microsoft Windows 10 Education RS5 (Oct 2018) 32-bit/64-bit
  • Microsoft Windows 10 Home 19H1 32-bit/64-bit
  • Microsoft Windows 10 Pro 19H1 32-bit/64-bit
  • Microsoft Windows 10 Pro for Workstations 19H1 32-bit/64-bit
  • Microsoft Windows 10 Enterprise 19H1 32-bit/64-bit
  • Microsoft Windows 10 Education 19H1 32-bit/64-bit
  • Microsoft Windows 10 Home 19H2 32-bit/64-bit
  • Microsoft Windows 10 Pro 19H2 32-bit/64-bit
  • Microsoft Windows 10 Pro for Workstations 19H2 32-bit/64-bit
  • Microsoft Windows 10 Enterprise 19H2 32-bit/64-bit
  • Microsoft Windows 10 Education 19H2 32-bit/64-bit
  • Microsoft Windows 8.1 Pro 32-bit/64-bit
  • Microsoft Windows 8.1 Enterprise 32-bit/64-bit
  • Microsoft Windows 8 Pro 32-bit/64-bit
  • Microsoft Windows 8 Enterprise 32-bit/64-bit
  • Microsoft Windows 7 Professional with Service Pack 1 and higher 32-bit/64-bit
  • Microsoft Windows 7 Enterprise/Ultimate with Service Pack 1 and higher 32-bit/64-bit
  • Microsoft Windows XP Professional for Embedded Systems 32-bit
  • Microsoft Windows XP Professional Service Pack 3 and higher 32-bit/64-bit
  • Windows Small Business Server 2011 Essentials 64-bit
  • Windows Small Business Server 2011 Premium Add-on 64-bit
  • Windows Small Business Server 2011 Standard 64-bit
  • Windows MultiPoint Server 2011 Standard/Premium 64-bit
  • Windows MultiPoint Server 2012 Standard/Premium 64-bit
  • Windows Server 2008 Foundation with Service Pack 2 32-bit/64-bit
  • Windows Server 2008 Service Pack 2 (all editions) 32-bit/64-bit
  • Windows Server 2008 R2 Standard Service Pack 1 and higher 64-bit
  • Windows Server 2008 R2 Datacenter Service Pack 1 and higher 64-bit
  • Windows Server 2008 R2 Enterprise Service Pack 1 and higher 64-bit
  • Windows Server 2008 R2 Foundation with Service Pack 1 and higher 64-bit
  • Windows Server 2008 R2 Service Pack 1 and higher Core Mode 64-bit
  • Windows Server 2008 R2 Service Pack 1 (all editions) 64-bit
  • Windows Server 2012 Server Core 64-bit
  • Windows Server 2012 Datacenter 64-bit
  • Windows Server 2012 Essentials 64-bit
  • Windows Server 2012 Foundation 64-bit
  • Windows Server 2012 Standard 64-bit
  • Windows Server 2012 R2 Server Core 64-bit
  • Windows Server 2012 R2 Datacenter 64-bit
  • Windows Server 2012 R2 Essentials 64-bit
  • Windows Server 2012 R2 Foundation 64-bit
  • Windows Server 2012 R2 Standard 64-bit
  • Windows Server 2016 Datacenter (LTSB) 64-bit
  • Windows Server 2016 Standard (LTSB) 64-bit
  • Windows Server 2016 Server Core (Installation Option) (LTSB) 64-bit
  • Windows Server 2016 Server Datacenter RS3 (v1709) (LTSB/CBB) 64-bit
  • Windows Server 2016 Server Standard RS3 (v1709) (LTSB/CBB) 64-bit
  • Windows Server 2016 Server Core RS3 (v1709) (Installation Option) (LTSB/CBB) 64-bit
  • Windows Server 2019 Standard 64-bit
  • Windows Server 2019 Core 64-bit
  • Windows Server 2019 Datacenter 64-bit
  • Windows Storage Server 2016 64-bit
  • Windows Storage Server 2012 64-bit
  • Windows Storage Server 2012 R2 64-bit
  • Debian GNU/Linux 10.х (Buster) 32-bit/64-bit
  • Debian GNU/Linux 9.х (Stretch) 32-bit/64-bit
  • Ubuntu Server 18.04 LTS (Bionic Beaver) 32-bit/64-bit
  • Ubuntu Server 16.04 LTS (Xenial Xerus) 32-bit/64-bit
  • Ubuntu Desktop 18.04 LTS (Bionic Beaver) 32-bit/64-bit
  • Ubuntu Desktop 16.04 LTS (Xenial Xerus) 32-bit/64-bit
  • CentOS 7.x 64-bit
  • CentOS 6.х (up to 6.6) 64-bit
  • Red Hat Enterprise Linux Server 8.x 64-bit
  • Red Hat Enterprise Linux Server 7.x 64-bit
  • Red Hat Enterprise Linux Server 6.x 64-bit
  • SUSE Linux Enterprise Server 15 (all Service Packs) 64-bit
  • SUSE Linux Enterprise Desktop 15 (all Service Packs) 64-bit
  • SUSE Linux Enterprise Server 12 (all Service Packs) 64-bit
  • macOS Sierra (10.12)
  • macOS High Sierra (10.13)
  • macOS Mojave (10.14)
  • macOS Catalina (10.15)

The following virtualization platforms are supported:

  • VMware Workstation 15 Pro
  • Microsoft Hyper-V Server 2012 64-bit
  • Microsoft Hyper-V Server 2012 R2 64-bit
  • Microsoft Hyper-V Server 2016 64-bit
  • Microsoft Hyper-V Server 2019 64-bit
  • Citrix XenServer 7.1 LTSR
  • Citrix XenServer 8.x
  • VMware vSphere 6.5
  • VMware vSphere 6.7

On the devices running Windows 10 version RS4 or RS5, Kaspersky Security Center might be unable to detect some vulnerabilities in folders where case sensitivity is enabled.

In Microsoft Windows XP, Network Agent might not perform some operations correctly.

Network Agent for Linux and Network Agent for macOS are provided together with Kaspersky security applications for these operating systems.